Bug 867620 - SELinux is preventing /usr/bin/python2.7 from using the 'sys_nice' capabilities.
SELinux is preventing /usr/bin/python2.7 from using the 'sys_nice' capabilities.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e42a684b7cf1370e9fcafa399f9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 16:55 EDT by Matthew Miller
Modified: 2012-12-20 11:04 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:04:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-17 16:55 EDT, Matthew Miller
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-17 16:55 EDT, Matthew Miller
no flags Details

  None (edit)
Description Matthew Miller 2012-10-17 16:55:21 EDT
Description of problem:
Initial install of F18 beta tc4. Updated system, and then groupinstalled xfce. This is one of several AVCs which greeted me on logging in.

Additional info:
libreport version: 2.0.16
kernel:         3.6.2-2.fc18.x86_64

description:
:SELinux is preventing /usr/bin/python2.7 from using the 'sys_nice' capabilities.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that python2.7 should have the sys_nice capability by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep blueman-mechani /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:blueman_t:s0-s0:c0.c1023
:Target Context                system_u:system_r:blueman_t:s0-s0:c0.c1023
:Target Objects                 [ capability ]
:Source                        blueman-mechani
:Source Path                   /usr/bin/python2.7
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           python-2.7.3-13.fc18.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-36.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.2-2.fc18.x86_64 #1 SMP Wed Oct
:                              17 05:56:07 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-10-18 01:11:44 EDT
:Last Seen                     2012-10-18 01:11:44 EDT
:Local ID                      2cbb0594-4771-400c-bfa5-a5fa92f83071
:
:Raw Audit Messages
:type=AVC msg=audit(1350537104.261:309): avc:  denied  { sys_nice } for  pid=2098 comm="blueman-mechani" capability=23  scontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tcontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tclass=capability
:
:
:type=AVC msg=audit(1350537104.261:309): avc:  denied  { setsched } for  pid=2098 comm="blueman-mechani" scontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tcontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tclass=process
:
:
:type=SYSCALL msg=audit(1350537104.261:309): arch=x86_64 syscall=sched_setscheduler success=no exit=EACCES a0=832 a1=0 a2=7fff8034b2b0 a3=1 items=0 ppid=2097 pid=2098 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=blueman-mechani exe=/usr/bin/python2.7 subj=system_u:system_r:blueman_t:s0-s0:c0.c1023 key=(null)
:
:Hash: blueman-mechani,blueman_t,blueman_t,capability,sys_nice
:
:audit2allow
:
:#============= blueman_t ==============
:allow blueman_t self:capability sys_nice;
:allow blueman_t self:process setsched;
:
:audit2allow -R
:
:#============= blueman_t ==============
:allow blueman_t self:capability sys_nice;
:allow blueman_t self:process setsched;
:
Comment 1 Matthew Miller 2012-10-17 16:55:23 EDT
Created attachment 629079 [details]
File: type
Comment 2 Matthew Miller 2012-10-17 16:55:24 EDT
Created attachment 629080 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-10-19 05:49:09 EDT
Fixed in selinux-policy-3.11.1-41.el7
Comment 4 Fedora Update System 2012-10-23 16:35:49 EDT
selinux-policy-3.11.1-43.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-43.fc18
Comment 5 Heiko Adams 2012-10-25 13:57:01 EDT
Problem exists on F17 too
Comment 6 Miroslav Grepl 2012-10-26 07:20:16 EDT
Also added to F17

commit f1e68be3047ff0d35f98a104ce6cc38638132038
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Fri Oct 26 13:19:46 2012 +0200

    Allow sys_nice/setschedule for blueman
Comment 7 Fedora Update System 2012-10-26 11:38:46 EDT
selinux-policy-3.11.1-46.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-46.fc18
Comment 8 Fedora Update System 2012-10-26 15:28:23 EDT
Package selinux-policy-3.11.1-46.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-46.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16862/selinux-policy-3.11.1-46.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-12-20 11:04:13 EST
selinux-policy-3.11.1-46.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.